@if (sessionOverviewPageService.componentData$ | async; as componentData) {
  <div class="flex-column full-height full-width overflow-y-hidden">
    @if (componentData.exploratorySessionOverview.charter) {
      <div
        class="m-l-10"
        [attr.data-test-element-id]="'session-overview-charter'"
        [innerHTML]="
          componentData.exploratorySessionOverview.charter | safeRichContent
        "
      ></div>
    } @else {
      <div class="m-l-10 label-color">
        {{
          'sqtm-core.campaign-workspace.exploratory-execution.no-charter'
            | translate
        }}
      </div>
    }
  </div>
  <ng-template #charter>
    <div
      class="m-l-10"
      [attr.data-test-element-id]="'session-overview-charter'"
      [innerHTML]="
        componentData.exploratorySessionOverview.charter | safeRichContent
      "
    ></div>
  </ng-template>
}
